Skip to main content
GET
Get basic info about name for ens-lookup and blockscout quick-search. Sorted by `registration_date`

Authorizations

Authorization
string
header
required

API key passed as a Bearer token in the Authorization header.

Query Parameters

name
string

Optional. Name of domain, for example vitalik.eth. None means lookup for any name

chain_id
string<int64>

The chain (network) where domain search should be done

protocols
string

comma separated list of protocol ids. Default is ENS protocol only

all_protocols
boolean

If true, search across all supported protocols and ignore protocols. When chain_id is set, the search is scoped to all protocols on that chain.

only_active
boolean

Filtering field to remove expired names

sort
string

Sorting field. Default is registration_date

order
enum<string>
default:ORDER_UNSPECIFIED

Order direction. Default is DESC

Available options:
ORDER_UNSPECIFIED,
ASC,
DESC
page_size
integer<int64>

Optional. Max number of items in single response. Default is 50

page_token
string

Optional. Value of .pagination.page_token from previous response

Response

A successful response.

items
List of domains that resolved to or owned by requested address Sorted by relevance, so first address could be displayed as main resolved address · object[]
next_page_params
object